Bug 170079 - audio/wildmidi: typo fix
Summary: audio/wildmidi: typo fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-23 04:50 UTC by RyōTa SimaMoto
Modified: 2012-07-30 19:50 UTC (History)
0 users

See Also:


Attachments
file.shar (1.95 KB, text/plain)
2012-07-23 04:50 UTC, RyōTa SimaMoto
no flags Details
shar.gz.b64.txt (861 bytes, text/plain; charset=US-ASCII)
2012-07-28 17:34 UTC, RyōTa SimaMoto
no flags Details
patch.tar.gz (474 bytes, application/x-gzip)
2012-07-28 17:48 UTC, RyōTa SimaMoto
no flags Details
wildmidi.patch.txt (473 bytes, text/plain; charset=US-ASCII)
2012-07-30 07:59 UTC, RyōTa SimaMoto
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description RyōTa SimaMoto 2012-07-23 04:50:10 UTC
Correct wrong use of '&&' instead of '&' for logical "bit and"
in src/wildmidi_lib.c by this patch.  These typographical
errors cause failure on clang build.

Fix: Patch attached with submission follows:
Comment 1 Michael Scheidell freebsd_committer 2012-07-28 13:36:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 2 Michael Scheidell freebsd_committer 2012-07-28 13:47:29 UTC
State Changed
From-To: open->feedback

make patch 
===>  License GPLv3 LGPL3 accepted by the user 
===>  Extracting for wildmidi-0.2.3.5 
=> SHA256 Checksum OK for wildmidi-0.2.3.5.tar.gz. 
===>  Patching for wildmidi-0.2.3.5 
===>  Applying FreeBSD patches for wildmidi-0.2.3.5 
2 out of 2 hunks failed--saving rejects to src/wildmidi_lib.c.rej 
=> Patch patch-wildmidi_lib.c--BIT_AND failed to apply cleanly. 
=> Patch(es) patch-wildmidi.c--typecasting applied cleanly. 
*** Error code 1 

Stop in /disk1/tinderbox/portstrees/scheidell/ports/audio/wildmidi. 
cat *rej: 
cat *rej 
*************** 
*** 2182,2192 **** 
return NULL; 
} 

-     if (WM_MixerOptions && WM_MO_WHOLETEMPO) 
{ 
float bpm_f = 60000000.0 / (float)tempo; 
tempo = 60000000 / (unsigned long int)bpm_f; 
-     } else if (WM_MixerOptions && WM_MO_ROUNDTEMPO) 
{ 
float bpm_fr = 60000000.0 / (float)tempo + 0.5; 
tempo = 60000000 / (unsigned long int)bpm_fr; 
--- 2182,2192 ---- 
return NULL; 
} 

+     if (WM_MixerOptions & WM_MO_WHOLETEMPO) 
{ 
float bpm_f = 60000000.0 / (float)tempo; 
tempo = 60000000 / (unsigned long int)bpm_f; 
+     } else if (WM_MixerOptions & WM_MO_ROUNDTEMPO) 
{ 
float bpm_fr = 60000000.0 / (float)tempo + 0.5; 
tempo = 60000000 / (unsigned long int)bpm_fr; 
*************** 
*** 2420,2430 **** 
tempo = 500000; 

{ 
-                                     if (WM_MixerOptions && WM_MO_WHOLETEMPO) 
{ 
float bpm_f = 60000000.0 / (float)tempo; 
tempo = 60000000 / (unsigned long int)bpm_f; 
-                                     } else if (WM_MixerOptions && WM_MO_ROUNDTEMPO) 
{ 
float bpm_fr = 60000000.0 / (float)tempo + 0.5; 
tempo = 60000000 / (unsigned long int)bpm_fr; 
--- 2420,2430 ---- 
tempo = 500000; 

{ 
+                                     if (WM_MixerOptions & WM_MO_WHOLETEMPO) 
{ 
float bpm_f = 60000000.0 / (float)tempo; 
tempo = 60000000 / (unsigned long int)bpm_f; 
+                                     } else if (WM_MixerOptions & WM_MO_ROUNDTEMPO) 
{ 
float bpm_fr = 60000000.0 / (float)tempo + 0.5; 
tempo = 60000000 / (unsigned long int)bpm_fr;
Comment 3 RyōTa SimaMoto 2012-07-28 17:34:33 UTC
Sorry for wrong patch.  It seems line ending codes have
been changed by mta.  I send it again in base64 encoded
gzip-compressed file so that \r\n codes will be kept in
all lines except first three lines of the hunk#1.
Comment 4 Michael Scheidell freebsd_committer 2012-07-28 17:39:12 UTC
send it in a tar.gz.

not base64 encoded.


On 7/28/12 12:34 PM, RyÅTa SimaMoto wrote:
> Sorry for wrong patch.  It seems line ending codes have
> been changed by mta.  I send it again in base64 encoded
> gzip-compressed file so that \r\n codes will be kept in
> all lines except first three lines of the hunk#1.

-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 5 RyōTa SimaMoto 2012-07-28 17:48:57 UTC
2012/7/29, Michael Scheidell <scheidell@freebsd.org>:
> send it in a tar.gz.
Agreed.
Comment 6 michael.scheidell 2012-07-28 18:08:12 UTC
throw away your MTA and use outlook. ;-(
% file patch.tar.gz
patch.tar.gz: data
% gunzip patch.tar.gz
gunzip: patch.tar.gz: not in gzip format

tar -tvf patch.tar.gz
tar: Unrecognized archive format
tar: Error exit delayed from previous errors.
Comment 7 Ry&#333;Ta SimaMoto 2012-07-30 07:59:35 UTC
Ok.  Let's take another way.

I withdraw these incomplete patch files, then
use a sed script at Makefile.

Thank you for your patience on my awkwardness.

SimaMoto,RyÅTa <liangtai.s4@gmail.com>
Comment 8 Michael Scheidell freebsd_committer 2012-07-30 19:40:32 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!
Comment 9 dfilter service freebsd_committer 2012-07-30 19:41:02 UTC
Author: scheidell
Date: Mon Jul 30 18:40:23 2012
New Revision: 301735
URL: http://svn.freebsd.org/changeset/ports/301735

Log:
  - Correct wrong use of '&&' instead of '&' for logical "bit and"
  - Bump PORTREVISION (cause failure on clang build)
  
  PR:		ports/170079
  Submitted by:	RyoTa SimaMoto <liangtai.s4@gmail.com> (maintainer)

Modified:
  head/audio/wildmidi/Makefile

Modified: head/audio/wildmidi/Makefile
==============================================================================
--- head/audio/wildmidi/Makefile	Mon Jul 30 18:34:33 2012	(r301734)
+++ head/audio/wildmidi/Makefile	Mon Jul 30 18:40:23 2012	(r301735)
@@ -7,6 +7,7 @@
 
 PORTNAME=	wildmidi
 PORTVERSION=	0.2.3.5
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}
 
@@ -14,8 +15,9 @@ MAINTAINER=	liangtai.s4@gmail.com
 COMMENT=	A simple software midi player and a core softsynth library
 
 # player: GPLv3, library: LGPL3
-LICENSE_COMB=	multi
 LICENSE=	GPLv3 LGPL3
+LICENSE_COMB=	multi
+
 MAKE_JOBS_UNSAFE=	yes
 
 USE_GZIP=	yes
@@ -39,5 +41,7 @@ post-patch:
 		${REINPLACE_CMD} -e 's@/usr/local/share/wildmidi/@${DATADIR}/@' \
 			-e 's@default_timifityconf@default_wildmidiconf@' \
 			${WRKSRC}/configure
+		${REINPLACE_CMD} -e '/WM_MixerOptions/s/ \&\& / \& /' \
+			${WRKSRC}/src/wildmidi_lib.c
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"